cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/approval_profiles" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"approval_profile": {
"name": "Account approval",
"entity": "account",
"event": "<event name>",
"approver_type": "<approver type>",
"approver": "<approver>"
}
}'from exsited import build_client
client = build_client()
response = client.approval_profiles.create_settings_approval_profile(
{
"approval_profile": {
"name": "Account approval",
"entity": "account",
"event": "<event name>",
"approver_type": "<approver type>",
"approver": "<approver>",
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.approvalProfiles.createSettingsApprovalProfile({
approval_profile: {
name: 'Account approval',
entity: 'account',
event: '<event name>',
approver_type: '<approver type>',
approver: '<approver>',
},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->approvalProfiles->createSettingsApprovalProfile([
'approval_profile' => [
'name' => 'Account approval',
'entity' => 'account',
'event' => '<event name>',
'approver_type' => '<approver type>',
'approver' => '<approver>',
],
]);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.approvalProfiles().createSettingsApprovalProfile(
Map.of(
"approval_profile", Map.of(
"name", "Account approval",
"entity", "account",
"event", "<event name>",
"approver_type", "<approver type>",
"approver", "<approver>")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.ApprovalProfiles.CreateSettingsApprovalProfileAsync(new Dictionary<string, object?>
{
["approval_profile"] = new Dictionary<string, object?>
{
["name"] = "Account approval",
["entity"] = "account",
["event"] = "<event name>",
["approver_type"] = "<approver type>",
["approver"] = "<approver>",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.approvalProfiles.createSettingsApprovalProfile({
'approval_profile': {
'name': 'Account approval',
'entity': 'account',
'event': '<event name>',
'approver_type': '<approver type>',
'approver': '<approver>',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.ApprovalProfiles().CreateSettingsApprovalProfile(context.Background(), map[string]any{
"approval_profile": map[string]any{
"name": "Account approval",
"entity": "account",
"event": "<event name>",
"approver_type": "<approver type>",
"approver": "<approver>",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
Approval profiles
Create an approval profile
Creates an approval profile that holds matching transactions for approval.
POST
/
settings
/
approval_profiles
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/approval_profiles" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"approval_profile": {
"name": "Account approval",
"entity": "account",
"event": "<event name>",
"approver_type": "<approver type>",
"approver": "<approver>"
}
}'from exsited import build_client
client = build_client()
response = client.approval_profiles.create_settings_approval_profile(
{
"approval_profile": {
"name": "Account approval",
"entity": "account",
"event": "<event name>",
"approver_type": "<approver type>",
"approver": "<approver>",
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.approvalProfiles.createSettingsApprovalProfile({
approval_profile: {
name: 'Account approval',
entity: 'account',
event: '<event name>',
approver_type: '<approver type>',
approver: '<approver>',
},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->approvalProfiles->createSettingsApprovalProfile([
'approval_profile' => [
'name' => 'Account approval',
'entity' => 'account',
'event' => '<event name>',
'approver_type' => '<approver type>',
'approver' => '<approver>',
],
]);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.approvalProfiles().createSettingsApprovalProfile(
Map.of(
"approval_profile", Map.of(
"name", "Account approval",
"entity", "account",
"event", "<event name>",
"approver_type", "<approver type>",
"approver", "<approver>")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.ApprovalProfiles.CreateSettingsApprovalProfileAsync(new Dictionary<string, object?>
{
["approval_profile"] = new Dictionary<string, object?>
{
["name"] = "Account approval",
["entity"] = "account",
["event"] = "<event name>",
["approver_type"] = "<approver type>",
["approver"] = "<approver>",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.approvalProfiles.createSettingsApprovalProfile({
'approval_profile': {
'name': 'Account approval',
'entity': 'account',
'event': '<event name>',
'approver_type': '<approver type>',
'approver': '<approver>',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.ApprovalProfiles().CreateSettingsApprovalProfile(context.Background(), map[string]any{
"approval_profile": map[string]any{
"name": "Account approval",
"entity": "account",
"event": "<event name>",
"approver_type": "<approver type>",
"approver": "<approver>",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
name, entity, event, approver_type and approver are required. From the moment it exists, the profile gates every matching transaction on the instance. The allowed values of entity, event, approver_type and approver are not documented yet; replace the placeholders in the samples with values from your instance.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.